import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading GenericMediaSensorToHoneywellIndustrial Converter")

class GenericMediaSensorToHoneywellIndustrial(Converter):
	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "Mark":
			res = "Black Mark"
		elif myList[0] == "Gap":
			res = "Media With Gaps"
		elif myList[0] == "None":
			res = "Continuous Var Len"
		return res




plugin = GenericMediaSensorToHoneywellIndustrial("GenericMediaSensorToHoneywellIndustrial")

store.AddConverter(plugin)